import { ComponentFixture, TestBed } from '@angular/core/testing';

import { CloseTicketDialogComponent } from './close-ticket-dialog.component';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MAT_DIALOG_DATA, MatDialogModule, MatDialogRef } from '@angular/material/dialog';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatSelectModule } from '@angular/material/select';

describe('CloseTicketDialogComponent', () => {
  let component: CloseTicketDialogComponent;
  let fixture: ComponentFixture<CloseTicketDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ CloseTicketDialogComponent ],
      imports: [MatSnackBarModule, MatDialogModule, ReactiveFormsModule, HttpClientTestingModule,
        MatSelectModule, MatCheckboxModule],
      providers: [{provide: MatDialogRef, useValue: {}}, {provide: MAT_DIALOG_DATA, useValue: {}}],
    })
    .compileComponents();

    fixture = TestBed.createComponent(CloseTicketDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
